时间会让我们更好。   

Manjaro使用pacman提示无法锁定数据库

    早上上班,滚动升级Manjaro遇到错误如下:

:: 正在同步软件包数据库...
错误:无法升级 core (无法锁定数据库)
错误:无法升级 extra (无法锁定数据库)
错误:无法升级 community (无法锁定数据库)
......
错误:无法同步任何数据库

    出现错误的原因是,之前同步的时候,我手动中断了进程,导致之前进程锁文件未被释放。

    解决办法,删掉之前的文件: /var/lib/pacman/db.lck

    删除之后,恢复了。

$ sudo pacman -Syy
:: 正在同步软件包数据库...
 core 147.3 KiB  1075K/s 00:00 [####################################################] 100%
 extra 1842.9 KiB  3.43M/s 00:01 [####################################################] 100%
......

 

已有 3 条评论
  1. 小样

    现在文章有深度了,看不懂了.... icon_lol.gif

    小样
    1. Jacktanger

      哈哈,其实这个是最普通的操作记录哦,就像使用windows某个文件被应用程序占用,不能删除。

      Jacktanger
    2. Jacktanger

      Manjaro是一个操作系统,Pacman是它的软件管理器,类似应用商店

      Jacktanger